let logger = require('./log');
let mqtt = require('./mqttHandler');


logger.info("Hello world!");


let HomematicDimmerItemClass = require('./HomematicDimmerItem');
let M433SwitchItem = require('./M433SwitchItem');
let HomematicFourButtonThing = require('./HomematicFourButtonThing');
let HomematicFourButtonSingleItem = require('./HomematicFourButtonSingleItem');


let item2 = new HomematicDimmerItemClass('Gnd', 'Hallway', 'Testlight', 8);
item2.start();

let aquariumLight = new M433SwitchItem('1st', 'Anna', 'AquariumLight', '14665044 24 1', '14665041 24 1');
aquariumLight.start();

let deskLight = new M433SwitchItem('Gnd', 'Hallway', 'DeskLight', '83221 24 1', '83220 24 1');
deskLight.start();

let testFourButton = new HomematicFourButtonThing('Gnd', 'Hallway', 'TestButton', 9, [
    new HomematicFourButtonSingleItem('button1', 'test/button/1'),
    new HomematicFourButtonSingleItem('button2', 'test/button/2'),
    new HomematicFourButtonSingleItem('button3', 'test/button/3'),
    new HomematicFourButtonSingleItem('button4', 'test/button/4')
])
testFourButton.start();



mqtt.start();
